Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp
Class CppProjectExtension

    java.lang.Object
      org.gradle.plugins.cpp.CppProjectExtension

    public class CppProjectExtension

extends Object

The DSL for C++.

Field Summary
`static String` | `DEFAULT_NAME`

Constructor Summary
`CppProjectExtension(Project project)`

Method Summary
`CppExecutable` | `executable(Closure closure)`
`CppExecutable` | `executable(String name, Closure closure)`
`NamedDomainObjectContainer<CppExecutable>` | `getExecutables()`
`NamedDomainObjectContainer<CppLibrary>` | `getLibraries()`
`Project` | `getProject()`
`NamedDomainObjectContainer<CppSourceSet>` | `getSourceSets()`
`CppLibrary` | `library(Closure closure)`
`CppLibrary` | `library(String name, Closure closure)`
`NamedDomainObjectContainer<CppSourceSet>` | `sourceSets(Closure closure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NAME

    public static final String DEFAULT_NAME

See Also:
  Constant Field Values

Constructor Detail

### CppProjectExtension

    public CppProjectExtension(Project project)

Method Detail

### getProject

    public Project getProject()

### getSourceSets

    public NamedDomainObjectContainer<CppSourceSet> getSourceSets()

### sourceSets

    public NamedDomainObjectContainer<CppSourceSet> sourceSets(Closure closure)

### executable

    public CppExecutable executable(Closure closure)

### executable

    public CppExecutable executable(String name,
                                    Closure closure)

### getExecutables

    public NamedDomainObjectContainer<CppExecutable> getExecutables()

### library

    public CppLibrary library(Closure closure)

### library

    public CppLibrary library(String name,
                              Closure closure)

### getLibraries

    public NamedDomainObjectContainer<CppLibrary> getLibraries()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD